// <auto-generated />
// This file was generated by a T4 template.
// Don't change it directly as your change would get overwritten.  Instead, make changes
// to the .tt file (i.e. the T4 template) and save it to regenerate this file.

// Make sure the compiler doesn't complain about missing Xml comments and CLS compliance
// 0108: suppress "Foo hides inherited member Foo. Use the new keyword if hiding was intended." when a controller and its abstract parent are both processed
// 0114: suppress "Foo.BarController.Baz()' hides inherited member 'Qux.BarController.Baz()'. To make the current member override that implementation, add the override keyword. Otherwise add the new keyword." when an action (with an argument) overrides an action in a parent controller
#pragma warning disable 1591, 3008, 3009, 0108, 0114
#region T4MVC

using System;
using System.Diagnostics;
using System.CodeDom.Compiler;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Threading.Tasks;
using System.Web;
using System.Web.Hosting;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using System.Web.Mvc.Html;
using System.Web.Routing;
using T4MVC;
namespace CashOffice.Controllers.AdminController
{
    public partial class DashBoardController
    {
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public DashBoardController() { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected DashBoardController(Dummy d) { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoute(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(Task<ActionResult> taskResult)
        {
            return RedirectToAction(taskResult.Result);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoutePermanent(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(Task<ActionResult> taskResult)
        {
            return RedirectToActionPermanent(taskResult.Result);
        }

        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult MainChartTemp()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.MainChartTemp);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult MainChartYearServices()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.MainChartYearServices);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult MainChartYearMonthServices()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.MainChartYearMonthServices);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult MainChartYearMonthDayServices()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.MainChartYearMonthDayServices);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public DashBoardController Actions { get { return MVC.DashBoard; } }
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Area = "";
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Name = "DashBoard";
        [GeneratedCode("T4MVC", "2.0")]
        public const string NameConst = "DashBoard";
        [GeneratedCode("T4MVC", "2.0")]
        static readonly ActionNamesClass s_actions = new ActionNamesClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionNamesClass ActionNames { get { return s_actions; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNamesClass
        {
            public readonly string MainChartTemp = "MainChartTemp";
            public readonly string MainChart = "MainChart";
            public readonly string MainChartYearServices = "MainChartYearServices";
            public readonly string MainChartYearMonthServices = "MainChartYearMonthServices";
            public readonly string MainChartYearMonthDayServices = "MainChartYearMonthDayServices";
            public readonly string UserChart = "UserChart";
            public readonly string UserServicesChart = "UserServicesChart";
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNameConstants
        {
            public const string MainChartTemp = "MainChartTemp";
            public const string MainChart = "MainChart";
            public const string MainChartYearServices = "MainChartYearServices";
            public const string MainChartYearMonthServices = "MainChartYearMonthServices";
            public const string MainChartYearMonthDayServices = "MainChartYearMonthDayServices";
            public const string UserChart = "UserChart";
            public const string UserServicesChart = "UserServicesChart";
        }


        static readonly ActionParamsClass_MainChartTemp s_params_MainChartTemp = new ActionParamsClass_MainChartTemp();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_MainChartTemp MainChartTempParams { get { return s_params_MainChartTemp; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_MainChartTemp
        {
            public readonly string FromDate = "FromDate";
            public readonly string ToDate = "ToDate";
        }
        static readonly ActionParamsClass_MainChartYearServices s_params_MainChartYearServices = new ActionParamsClass_MainChartYearServices();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_MainChartYearServices MainChartYearServicesParams { get { return s_params_MainChartYearServices; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_MainChartYearServices
        {
            public readonly string Year = "Year";
        }
        static readonly ActionParamsClass_MainChartYearMonthServices s_params_MainChartYearMonthServices = new ActionParamsClass_MainChartYearMonthServices();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_MainChartYearMonthServices MainChartYearMonthServicesParams { get { return s_params_MainChartYearMonthServices; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_MainChartYearMonthServices
        {
            public readonly string Year = "Year";
            public readonly string ServiceName = "ServiceName";
        }
        static readonly ActionParamsClass_MainChartYearMonthDayServices s_params_MainChartYearMonthDayServices = new ActionParamsClass_MainChartYearMonthDayServices();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_MainChartYearMonthDayServices MainChartYearMonthDayServicesParams { get { return s_params_MainChartYearMonthDayServices; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_MainChartYearMonthDayServices
        {
            public readonly string Year = "Year";
            public readonly string Mont = "Mont";
            public readonly string ServiceName = "ServiceName";
        }
        static readonly ActionParamsClass_UserChart s_params_UserChart = new ActionParamsClass_UserChart();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_UserChart UserChartParams { get { return s_params_UserChart; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_UserChart
        {
            public readonly string UserID = "UserID";
            public readonly string FromDate = "FromDate";
            public readonly string ToDate = "ToDate";
        }
        static readonly ActionParamsClass_UserServicesChart s_params_UserServicesChart = new ActionParamsClass_UserServicesChart();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_UserServicesChart UserServicesChartParams { get { return s_params_UserServicesChart; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_UserServicesChart
        {
            public readonly string ServiceID = "ServiceID";
            public readonly string FromDate = "FromDate";
            public readonly string ToDate = "ToDate";
        }
        static readonly ViewsClass s_views = new ViewsClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ViewsClass Views { get { return s_views; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ViewsClass
        {
            static readonly _ViewNamesClass s_ViewNames = new _ViewNamesClass();
            public _ViewNamesClass ViewNames { get { return s_ViewNames; } }
            public class _ViewNamesClass
            {
                public readonly string MainChart = "MainChart";
                public readonly string MainChartTemp = "MainChartTemp";
                public readonly string MainChartYearMonthDayServices = "MainChartYearMonthDayServices";
                public readonly string MainChartYearMonthServices = "MainChartYearMonthServices";
                public readonly string MainChartYearServices = "MainChartYearServices";
                public readonly string TestNemodar___Asli = "TestNemodar - Asli";
                public readonly string UserChart = "UserChart";
                public readonly string UserServicesChart = "UserServicesChart";
            }
            public readonly string MainChart = "~/Views/DashBoard/MainChart.cshtml";
            public readonly string MainChartTemp = "~/Views/DashBoard/MainChartTemp.cshtml";
            public readonly string MainChartYearMonthDayServices = "~/Views/DashBoard/MainChartYearMonthDayServices.cshtml";
            public readonly string MainChartYearMonthServices = "~/Views/DashBoard/MainChartYearMonthServices.cshtml";
            public readonly string MainChartYearServices = "~/Views/DashBoard/MainChartYearServices.cshtml";
            public readonly string TestNemodar___Asli = "~/Views/DashBoard/TestNemodar - Asli.cshtml";
            public readonly string UserChart = "~/Views/DashBoard/UserChart.cshtml";
            public readonly string UserServicesChart = "~/Views/DashBoard/UserServicesChart.cshtml";
        }
    }

    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public partial class T4MVC_DashBoardController : CashOffice.Controllers.AdminController.DashBoardController
    {
        public T4MVC_DashBoardController() : base(Dummy.Instance) { }

        [NonAction]
        partial void MainChartTempOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string FromDate, string ToDate);

        [NonAction]
        public override System.Web.Mvc.ActionResult MainChartTemp(string FromDate, string ToDate)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.MainChartTemp);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "FromDate", FromDate);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ToDate", ToDate);
            MainChartTempOverride(callInfo, FromDate, ToDate);
            return callInfo;
        }

        [NonAction]
        partial void MainChartOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult MainChart()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.MainChart);
            MainChartOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void MainChartYearServicesOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string Year);

        [NonAction]
        public override System.Web.Mvc.ActionResult MainChartYearServices(string Year)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.MainChartYearServices);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "Year", Year);
            MainChartYearServicesOverride(callInfo, Year);
            return callInfo;
        }

        [NonAction]
        partial void MainChartYearMonthServicesOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string Year, string ServiceName);

        [NonAction]
        public override System.Web.Mvc.ActionResult MainChartYearMonthServices(string Year, string ServiceName)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.MainChartYearMonthServices);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "Year", Year);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ServiceName", ServiceName);
            MainChartYearMonthServicesOverride(callInfo, Year, ServiceName);
            return callInfo;
        }

        [NonAction]
        partial void MainChartYearMonthDayServicesOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string Year, string Mont, string ServiceName);

        [NonAction]
        public override System.Web.Mvc.ActionResult MainChartYearMonthDayServices(string Year, string Mont, string ServiceName)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.MainChartYearMonthDayServices);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "Year", Year);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "Mont", Mont);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ServiceName", ServiceName);
            MainChartYearMonthDayServicesOverride(callInfo, Year, Mont, ServiceName);
            return callInfo;
        }

        [NonAction]
        partial void UserChartOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int UserID, string FromDate, string ToDate);

        [NonAction]
        public override System.Web.Mvc.ActionResult UserChart(int UserID, string FromDate, string ToDate)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.UserChart);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "UserID", UserID);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "FromDate", FromDate);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ToDate", ToDate);
            UserChartOverride(callInfo, UserID, FromDate, ToDate);
            return callInfo;
        }

        [NonAction]
        partial void UserServicesChartOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int ServiceID, string FromDate, string ToDate);

        [NonAction]
        public override System.Web.Mvc.ActionResult UserServicesChart(int ServiceID, string FromDate, string ToDate)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.UserServicesChart);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ServiceID", ServiceID);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "FromDate", FromDate);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ToDate", ToDate);
            UserServicesChartOverride(callInfo, ServiceID, FromDate, ToDate);
            return callInfo;
        }

    }
}

#endregion T4MVC
#pragma warning restore 1591, 3008, 3009, 0108, 0114
